# coding: utf-8
# run it under boring_edu_doc folder
# $ python Scripts/python/test_gquiz.py
from __future__ import unicode_literals
import os, sys, requests
if (len(sys.argv) < 2):
    print("arg[1] : form, docs, moodle")
    quit()

def gquiz_form_test():
    '''
    arg[1] = form
    '''
    if not 'gquiz' in sys.modules:
        sys.path.insert(0, os.getcwd()+"/Scripts/python/Library/")
    from gquiz import gquiz

    q = gquiz()
    q.setSavePath(".")
    q.setProgress(0)
    q.generateService()
    q.setProgress(20)
    q.createForm("test quiz")
    q.setProgress(50)
    opt = [	q.createOption("A.","./asset/option1.png"),
           q.createOption("B.","./asset/option2.png"),
           q.createOption("C.","./asset/option3.png"),
           q.createOption("D.","./asset/option4.png"),
           q.createOption("E.","./asset/option5.png") ]
    q.setProgress(80)
    qq = q.createQuestion(title = "Soal No 1",\
            description = "Dari gambar dibawah ini, ada bagian gambar yang hilang. Dari pilihan dibawah, manakah gambar yang benar?",\
            indexAnswer = 4, options = opt, itemImage='./asset/test_image.png')
    q.setProgress(85)
    q.submitItem(0,qq)
    q.setProgress(90)
    q.update()
    q.setProgress(100)
    print("Open link : {}".format(q.resultUri))

def gquiz_docs_test():
    '''
    arg[1] = docs
    '''
    if not 'gdoc' in sys.modules:
        sys.path.insert(0, os.getcwd()+"/Scripts/python/Library/")
    from gdoc import gdoc

    q = gdoc()
    q.setSavePath(".")
    q.setProgress(0)
    q.generateService()
    q.setProgress(20)
    q.createDocs("test quiz")
    q.setProgress(50)
    opt = [	q.createOption("A. asokdjoqwe  akls d asj ooijk okiasj "),
           q.createOption("B. alskdjl ka aklsdoqwieo q we1i231 kjco23ij"),
           q.createOption("C. kasojd skadj0o1042k j 2k3lj2lk 1l2k4k4j"),
           q.createOption("D. askdjo2 3 12lk3j kjsdlakoi324o  12kj 4k"),
           q.createOption("E. aksdjl io123jo1 kjsdl k l kjlk12j3lkj ksj") ]
    q.setProgress(80)
    qq = q.createQuestion(\
            title = "Soal No 1",\
            description = "Dari gambar dibawah ini, ada bagian gambar yang hilang. Dari pilihan dibawah, manakah gambar yang benar?",\
            indexAnswer = 4, options = opt )
    q.setProgress(85)
    q.submitItem(0,qq)
    q.setProgress(90)
    q.update()
    q.setProgress(100)
    print("Open link : {}".format(q.resultUri))

if (sys.argv[1] == 'form'):
    gquiz_form_test()
elif (sys.argv[1] == 'docs'):
    gquiz_docs_test()
